Skip to content

project/tag

Returns one tag in a project.

Method and path

GET /project/tag/{project_id}/{tag_id}

Authentication

Authentication is required. See Authentication.

Permissions

Accessible to tier 1, 2, and 3 users.

Request headers

HeaderRequiredDescription
X-Api-Key or X_API_KEYyesAPI key.

Path parameters

ParameterTypeRequiredDescription
project_idintegeryesProject identifier.
tag_idintegeryesTag identifier.

Example request

bash
curl "$SIGNAL_API_BASE_URL/project/tag/<project_id>/<tag_id>" \
  -H "X-Api-Key: $SIGNAL_API_KEY"

Example response

json
{
  "id": 456,
  "label": "Example Tag",
  "alert_whitelist": 0,
  "public_tag": 1,
  "tag_folder": {
    "id": 7,
    "label": "Example Folder"
  }
}

Response fields

FieldTypeDescription
idintegerTag identifier.
labelstringTag label.
alert_whitelistintegerboolean
public_tagintegerboolean
tag_folderobjectTag folder object.

Notes

  • If the tag is not found, the endpoint returns an empty response body with HTTP 200.
  • For tag write operations and rule management, see tag endpoints.

Doc rev.1.12.3 2026.05.08